Package org.gradle.api.tasks.incremental

## Interface InputFileDetails

-     public interface InputFileDetails

  A change to an input file.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getFile()` | The input file, which may no longer exist.
    `boolean` | `isAdded()` | Was the file added?
    `boolean` | `isModified()` | Was the file modified?
    `boolean` | `isRemoved()` | Was the file removed?

- - ### Method Detail

    - #### isAdded

          boolean isAdded()

      Was the file added?
      Returns:
        true if the file was added since the last execution

    - #### isModified

          boolean isModified()

      Was the file modified?
      Returns:
        if the file was modified

    - #### isRemoved

          boolean isRemoved()

      Was the file removed?
      Returns:
        true if the file was removed since the last execution

    - #### getFile

          java.io.File getFile()

      The input file, which may no longer exist.
      Returns:
        the input file